Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.support
Class DefaultBeanFactoryPointcutAdvisor

    java.lang.Object
      org.springframework.aop.support.AbstractPointcutAdvisor
          org.springframework.aop.support.AbstractBeanFactoryPointcutAdvisor
              org.springframework.aop.support.DefaultBeanFactoryPointcutAdvisor

All Implemented Interfaces:
  java.io.Serializable, Advisor, PointcutAdvisor, Aware, BeanFactoryAware, Ordered

    public class DefaultBeanFactoryPointcutAdvisor

extends AbstractBeanFactoryPointcutAdvisor

Concrete BeanFactory-based PointcutAdvisor that allows for any Advice to be configured as reference to an Advice bean in the BeanFactory, as well as the Pointcut to be configured through a bean property.

Specifying the name of an advice bean instead of the advice object itself (if running within a BeanFactory) increases loose coupling at initialization time, in order to not initialize the advice object until the pointcut actually matches.

Since:
  2.0.2
Author:
  Juergen Hoeller
See Also:
  `setPointcut(org.springframework.aop.Pointcut)`, `AbstractBeanFactoryPointcutAdvisor.setAdviceBeanName(java.lang.String)`, Serialized Form

Field Summary

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`DefaultBeanFactoryPointcutAdvisor()`

Method Summary
`Pointcut` | `getPointcut()` Get the Pointcut that drives this advisor.
`void` | `setPointcut(Pointcut pointcut)` Specify the pointcut targeting the advice.
`java.lang.String` | `toString()`

Methods inherited from class org.springframework.aop.support.AbstractBeanFactoryPointcutAdvisor
`getAdvice, getAdviceBeanName, setAdvice, setAdviceBeanName, setBeanFactory`

Methods inherited from class org.springframework.aop.support.AbstractPointcutAdvisor
`equals, getOrder, hashCode, isPerInstance, setOrder`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultBeanFactoryPointcutAdvisor

    public DefaultBeanFactoryPointcutAdvisor()

Method Detail

### setPointcut

    public void setPointcut(Pointcut pointcut)

  Specify the pointcut targeting the advice.

  Default is `Pointcut.TRUE`.

  See Also:
    `AbstractBeanFactoryPointcutAdvisor.setAdviceBeanName(java.lang.String)`

### getPointcut

    public Pointcut getPointcut()

  Description copied from interface: `PointcutAdvisor`
  Get the Pointcut that drives this advisor.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractBeanFactoryPointcutAdvisor`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD